Class ClientAuthenticatorProvidersRequestBuilder
- Namespace
- Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Authentication.ClientAuthenticatorProviders
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\authentication\client-authenticator-providers
public class ClientAuthenticatorProvidersRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderClientAuthenticatorProvidersRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
ClientAuthenticatorProvidersRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new ClientAuthenticatorProvidersRequestBuilder and sets the default values.
public ClientAuthenticatorProvidersRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
ClientAuthenticatorProvidersRequestBuilder(string, IRequestAdapter)
Instantiates a new ClientAuthenticatorProvidersRequestBuilder and sets the default values.
public ClientAuthenticatorProvidersRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Methods
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get client authenticator providers Returns a stream of client authenticator providers.
public Task<List<ClientAuthenticatorProviders>?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
- Task<List<ClientAuthenticatorProviders>>
A List<global::Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Authentication.ClientAuthenticatorProviders.ClientAuthenticatorProviders>
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get client authenticator providers Returns a stream of client authenticator providers.
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public ClientAuthenticatorProvidersRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.